Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.hql
Class HqlAnalyzeWalker

    java.lang.Object
      antlr.TreeParser
          org.makumba.providers.query.hql.HqlAnalyzeBaseWalker
              org.makumba.providers.query.hql.HqlAnalyzeWalker

All Implemented Interfaces:
  HqlAnalyzeTokenTypes

    public class HqlAnalyzeWalker

extends HqlAnalyzeBaseWalker

Version:
  $id
Author:
  Christian Bogdan, Manuel Gay

Field Summary

Fields inherited from class org.makumba.providers.query.hql.HqlAnalyzeBaseWalker
`_tokenNames, _tokenSet_0, aliasTypes, paramTypes, stackAliases, typeComputer`

Fields inherited from class antlr.TreeParser
`_retTree, astFactory, ASTNULL, inputState, returnAST, tokenNames, traceDepth`

Fields inherited from interface org.makumba.providers.query.hql.HqlAnalyzeTokenTypes
`AGGREGATE, ALIAS, ALIAS_REF, ALL, AND, ANY, AS, ASCENDING, AVG, BETWEEN, BOGUS, BOTH, CASE, CASE2, CLASS, CLOSE, CLOSE_BRACKET, COLON, COMMA, CONCAT, CONSTANT, CONSTRUCTOR, COUNT, DELETE, DESCENDING, DISTINCT, DIV, DOT, ELEMENTS, ELSE, EMPTY, END, EOF, EQ, ESCAPE, ESCqs, EXISTS, EXPONENT, EXPR_LIST, FALSE, FETCH, FILTER_ENTITY, FILTERS, FLOAT_SUFFIX, FROM, FROM_FRAGMENT, FULL, GE, GROUP, GT, HAVING, HEX_DIGIT, ID_LETTER, ID_START_LETTER, IDENT, IMPLIED_FROM, IN, IN_LIST, INDEX_OP, INDICES, INNER, INSERT, INTO, IS, IS_NOT_NULL, IS_NULL, JAVA_CONSTANT, JOIN, JOIN_FRAGMENT, LE, LEADING, LEFT, LEFT_OUTER, LIKE, LITERAL_ascending, LITERAL_by, LITERAL_descending, LT, MAX, MEMBER, METHOD_CALL, METHOD_NAME, MIN, MINUS, NAMED_PARAM, NE, NEW, NOT, NOT_BETWEEN, NOT_IN, NOT_LIKE, NULL, NULL_TREE_LOOKAHEAD, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJECT, OF, ON, OPEN, OPEN_BRACKET, OR, ORDER, ORDER_ELEMENT, OUTER, PARAM, PLUS, PROPERTIES, PROPERTY_REF, QUERY, QUOTED_STRING, RANGE, RIGHT, RIGHT_OUTER, ROW_STAR, SELECT, SELECT_CLAUSE, SELECT_COLUMNS, SELECT_EXPR, SELECT_FROM, SET, SOME, SQL_NE, SQL_TOKEN, STAR, SUM, THEN, THETA_JOINS, TRAILING, TRUE, UNARY_MINUS, UNARY_PLUS, UNION, UPDATE, VECTOR_EXPR, VERSIONED, WEIRD_IDENT, WHEN, WHERE, WITH, WS`

Constructor Summary
`HqlAnalyzeWalker()`

Method Summary
`(package private) void` | `afterStatementCompletion(String statementName)`
`(package private) void` | `beforeStatement(String statementName, int statementType)`
`(package private) void` | `checkLogicalExprInSelect(antlr.collections.AST logical)`
`(package private) antlr.collections.AST` | `deriveAggregateExpr(antlr.collections.AST ae, antlr.collections.AST ag)`
`(package private) antlr.collections.AST` | `deriveArithmethicExpr(antlr.collections.AST ae)`
`(package private) antlr.collections.AST` | `deriveFunctionCallExpr(antlr.collections.AST fc, antlr.collections.AST e)`
`(package private) antlr.collections.AST` | `deriveLogicalExpr(antlr.collections.AST le)`
`(package private) antlr.collections.AST` | `deriveParamExpr(antlr.collections.AST pe)`
`(package private) antlr.collections.AST` | `deriveQueryExpr(antlr.collections.AST ae)`
`Map<String,String>` | `getLabelTypes()`
`Map` | `getParameterTypes()`
`List` | `getResult()`
`(package private) void` | `getReturnTypes(antlr.collections.AST r, Stack stackAliases)` this method is called when the SELECT section (projections) is parsed
`boolean` | `isAllowLogicalExprInSelect()`
`void` | `reportError(antlr.RecognitionException ex)`
`protected void` | `setAlias(antlr.collections.AST se, antlr.collections.AST i)`
`(package private) void` | `setAliasType(antlr.collections.AST alias, String type)`
`void` | `setAllowLogicalExprInSelect(boolean allowLogicalExprInSelect)`
`void` | `setDebug(String query1)`
`void` | `setTypeComputer(MddObjectType mddObjectType)`
`String` | `toString()`

Methods inherited from class org.makumba.providers.query.hql.HqlAnalyzeBaseWalker
`addrExpr, addrExprLhs, aggregateExpr, aliasedSelectExpr, aliasRef, arithmeticExpr, assignment, caseExpr, collectionFunction, collectionFunctionOrSubselect, comparisonExpr, constant, constructor, count, deleteStatement, expr, exprOrSubquery, fromClause, fromElement, fromElementList, functionCall, getCurrentClauseType, getCurrentTopLevelClauseType, getStatementType, groupClause, identifier, inRhs, insertablePropertySpec, insertStatement, intoClause, isComparativeExpressionClause, isInCase, isInFrom, isInFunctionCall, isInSelect, isSelectStatement, isSubQuery, joinElement, joinType, literal, logicalExpr, newValue, numericInteger, orderClause, orderExprs, parameter, path, pathAsIdent, propertyName, propertyRef, propertyRefLhs, query, selectClause, selectExpr, selectExprList, selectStatement, setClause, statement, updateStatement, whereClause, withClause`

Methods inherited from class antlr.TreeParser
`getAST, getASTFactory, getTokenName, getTokenNames, match, match, matchNot, panic, reportError, reportWarning, setASTFactory, setASTNodeClass, setASTNodeType, traceIn, traceIndent, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HqlAnalyzeWalker

    public HqlAnalyzeWalker()

Method Detail

### checkLogicalExprInSelect

    void checkLogicalExprInSelect(antlr.collections.AST logical)
                            throws antlr.SemanticException

  Overrides:
    `checkLogicalExprInSelect` in class `HqlAnalyzeBaseWalker`
  Throws:
    `antlr.SemanticException`

### setAliasType

    void setAliasType(antlr.collections.AST alias,
                      String type)
                throws antlr.RecognitionException

  Overrides:
    `setAliasType` in class `HqlAnalyzeBaseWalker`
  Throws:
    `antlr.RecognitionException`

### deriveParamExpr

    antlr.collections.AST deriveParamExpr(antlr.collections.AST pe)
                                    throws antlr.SemanticException

  Overrides:
    `deriveParamExpr` in class `HqlAnalyzeBaseWalker`
  Throws:
    `antlr.SemanticException`

### deriveLogicalExpr

    antlr.collections.AST deriveLogicalExpr(antlr.collections.AST le)

  Overrides:
    `deriveLogicalExpr` in class `HqlAnalyzeBaseWalker`

### deriveFunctionCallExpr

    antlr.collections.AST deriveFunctionCallExpr(antlr.collections.AST fc,
                                                 antlr.collections.AST e)

  Overrides:
    `deriveFunctionCallExpr` in class `HqlAnalyzeBaseWalker`

### deriveQueryExpr

    antlr.collections.AST deriveQueryExpr(antlr.collections.AST ae)
                                    throws antlr.SemanticException

  Overrides:
    `deriveQueryExpr` in class `HqlAnalyzeBaseWalker`
  Throws:
    `antlr.SemanticException`

### deriveAggregateExpr

    antlr.collections.AST deriveAggregateExpr(antlr.collections.AST ae,
                                              antlr.collections.AST ag)
                                        throws antlr.SemanticException

  Overrides:
    `deriveAggregateExpr` in class `HqlAnalyzeBaseWalker`
  Throws:
    `antlr.SemanticException`

### deriveArithmethicExpr

    antlr.collections.AST deriveArithmethicExpr(antlr.collections.AST ae)
                                          throws antlr.SemanticException

  Overrides:
    `deriveArithmethicExpr` in class `HqlAnalyzeBaseWalker`
  Throws:
    `antlr.SemanticException`

### setAlias

    protected void setAlias(antlr.collections.AST se,
                            antlr.collections.AST i)

  Overrides:
    `setAlias` in class `HqlAnalyzeBaseWalker`

### getReturnTypes

    void getReturnTypes(antlr.collections.AST r,
                        Stack stackAliases)
                  throws antlr.RecognitionException

  this method is called when the SELECT section (projections) is parsed

  Overrides:
    `getReturnTypes` in class `HqlAnalyzeBaseWalker`
  Throws:
    `antlr.RecognitionException`

### beforeStatement

    void beforeStatement(String statementName,
                         int statementType)

  Overrides:
    `beforeStatement` in class `HqlAnalyzeBaseWalker`

### afterStatementCompletion

    void afterStatementCompletion(String statementName)

  Overrides:
    `afterStatementCompletion` in class `HqlAnalyzeBaseWalker`

### getLabelTypes

    public Map<String,String> getLabelTypes()

### getParameterTypes

    public Map getParameterTypes()

### getResult

    public List getResult()

### reportError

    public void reportError(antlr.RecognitionException ex)

  Overrides:
    `reportError` in class `antlr.TreeParser`

### setDebug

    public void setDebug(String query1)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setTypeComputer

    public void setTypeComputer(MddObjectType mddObjectType)

### isAllowLogicalExprInSelect

    public boolean isAllowLogicalExprInSelect()

### setAllowLogicalExprInSelect

    public void setAllowLogicalExprInSelect(boolean allowLogicalExprInSelect)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20